var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultLoadSystem_8cc.html#aa336641e8fe620e1e8f7d60f7d7b73ae",
"IdStringType_8h.html#a8dd883b61694d6552c0f86e25a5ef0df",
"MediaCIFS_8cc_source.html",
"ParseDef_8cc.html#adca1c983a98dba734ec82a49766ac278",
"PoolQuery_8h.html",
"RepoType_8cc.html",
"SerialNumber_8cc.html#a233f56892f29a04c788e57fd19ac7fb7",
"String_8h.html#a3f53d9205d32a7c566cd12a40bb2694b",
"UrlUtils_8cc.html#ad9ae496d804f4572099cd7532493e2e8",
"classzypp_1_1Arch.html#a8ef4d123411b47bf3c27072acd63fbd8",
"classzypp_1_1Capability.html#ab8be5e6a849511b8f574f63d3fafdf0c",
"classzypp_1_1Date.html#a81a517e10b93e1d33bd3bd94355b078d",
"classzypp_1_1Fetcher.html#ac4e29bf4fd1251019ddeccf04c261ca7",
"classzypp_1_1IdStringType.html#ab0ab4e791ffd15ed4b9c1bb9487e16c2",
"classzypp_1_1Match.html#afa5ca0014b7d2a8a349fe62a3ad32f2e",
"classzypp_1_1PluginFrame.html#a2d27c0290984e26f2d20a873fd7732f1",
"classzypp_1_1PoolQueryResult.html#ac3483e2fe73b259f23bbc99a931f1f67",
"classzypp_1_1RepoInfo.html#a751002752319d789178c6ab0a53ded2a",
"classzypp_1_1ResPool.html#a2b02ff9e099c2c51977f063ecbb1294b",
"classzypp_1_1ResStatus.html#ae247f2ce7ef6422f2928c1401567b100",
"classzypp_1_1StrMatcher.html#a4025bf14903a05bbf19400e30bcbca77",
"classzypp_1_1ZConfig.html#ae69af9f0ea522378c2f35fca4c1573ff",
"classzypp_1_1base_1_1Flags.html#a4f51f243640cb9a8a4c06306ddda2a3a",
"classzypp_1_1detail_1_1PoolQueryIterator.html#a7cda4480733f6cb0d80b8198e6620915",
"classzypp_1_1filesystem_1_1StatMode.html#a904ca050522a0f0383bd3ead4c31bbb7",
"classzypp_1_1media_1_1MediaAccess_1_1FileProvider.html#ad2d18efc135b839b69968138ba93573b",
"classzypp_1_1media_1_1MediaHandler.html#a6fbdb4561add8d76085ff4c173bd6025",
"classzypp_1_1media_1_1MediaTimeoutException.html",
"classzypp_1_1media_1_1multifetchworker.html#a33982ea45cd956f47a95aa9616aeee4a",
"classzypp_1_1parser_1_1yum_1_1RepomdFileReader_1_1Impl.html#ac88de4e4d67fe10b5229e9e60938c4c5",
"classzypp_1_1repo_1_1ServiceException.html#aa5663db61bec0be3e19846b1587a550b",
"classzypp_1_1sat_1_1Map.html#a2a8d8a24c3f120243e521d12604d444d",
"classzypp_1_1sat_1_1Solvable.html#a0df306496eaec4643f903ccf024416ee",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a5e5503e1c427eb114a0fcfe7a5090c5b",
"classzypp_1_1syscontent_1_1Writer.html#a370d0cb73da041a271c7fb445b11fa72",
"classzypp_1_1target_1_1hal_1_1HalContext.html#a851c53b7d54153b0b5f8364748267847",
"classzypp_1_1target_1_1rpm_1_1RpmHeader.html#a34d8e51ccc49777fd6a7f71f19e05eaf",
"classzypp_1_1ui_1_1Selectable.html#a86996729d6cb3724cf7959822232aff6",
"classzypp_1_1xml_1_1ParseDef.html#aeec4c54acff8916ed0048355fa1aed7b",
"functions_type_t.html",
"group__ZYPP__SMART__PTR.html#gaf531c882153d9b995659503cc3065037",
"namespacezypp_1_1xml_1_1parse__def__assign.html",
"structzypp_1_1Dep.html#ac6041fdc5001485263c178be97d1c5cd",
"structzypp_1_1MyInserter.html",
"structzypp_1_1Range.html#a44bd11555d6eee21c7d4a1a8c21a3a2d",
"structzypp_1_1SavingLocksReport.html#abb12dda821a75eea3b954a860a3c0861a26ea51fda987f9d13c96a5a21c6a9fee",
"structzypp_1_1debug_1_1Tm.html#a346521621f10b1ed04ccd0096601f245",
"structzypp_1_1media_1_1DownloadProgressReport.html#ac934f379567919a718da81cda7f4ffe6aec0fb6a9a7796d918ab3f0ed40212326",
"structzypp_1_1repo_1_1RepoInfoBase_1_1Impl.html#a7b11e196ce40cf4d964cace33f2dc030",
"structzypp_1_1sat_1_1Transaction_1_1FilterAction.html#afeff42704f2094a0330f5e3ff8c91c35",
"structzypp_1_1target_1_1rpm_1_1RpmRemoveReport.html#a52c4c2f2e412501f23d0b79310b34ce4",
"structzypp_1_1xmlout_1_1Node.html#a1ce3a5a468a6266901bcaab1f896de9e"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';